%define fw_version 5.43

Summary:	KDE Frameworks 5 emoticons and emoticons themes support module
Name:		kemoticons
Version:	5.43.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5archive-devel >= %{version}
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
KDE Frameworks 5 emoticons and emoticons themes support module.

KEmoticons converts emoticons from text to a graphical representation with
images in HTML. It supports setting different themes for emoticons coming
from different providers.

%files
%{_kde5_datadir}/emoticons/Breeze/
%{_kde5_datadir}/emoticons/EmojiOne/
%{_kde5_datadir}/emoticons/Konqi/
%{_kde5_plugindir}/KEmoticonsIntegrationPlugin.so
%{_kde5_plugindir}/emoticonsthemes/*.so
%{_kde5_services}/emoticonstheme_*.desktop
%{_kde5_servicetypes}/kemoticonsTheme.desktop

#----------------------------------------------------------------------------

%define kf5emoticons_major 5
%define libkf5emoticons %mklibname kf5emoticons %{kf5emoticons_major}

%package -n %{libkf5emoticons}
Summary:	KDE Frameworks 5 emoticons support shared library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libkf5emoticons}
KDE Frameworks 5 KEmoticons emoticons support library.

%files -n %{libkf5emoticons}
%{_kde5_libdir}/libKF5Emoticons.so.%{kf5emoticons_major}*

#----------------------------------------------------------------------------

%define devkf5emoticons %mklibname kf5emoticons -d

%package -n %{devkf5emoticons}
Summary:	Development files for KDE Frameworks 5 emoticons support module
Group:		Development/KDE and Qt
Requires:	%{libkf5emoticons} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5emoticons-devel = %{version}

%description -n %{devkf5emoticons}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5emoticons}
%{_kde5_includedir}/KF5/KEmoticons
%{_kde5_includedir}/KF5/kemoticons_version.h
%{_kde5_libdir}/cmake/KF5Emoticons
%{_kde5_libdir}/libKF5Emoticons.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Tue Feb 13 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.43.0-1
- (72be27b) New version 5.43.0

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (b73e8be) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (eadc224) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (4ae69ef) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (408072c) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (69b7fc1) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (5c9859e) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (11b5ef9) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (25a9736) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (ca87f0c) New version 5.27.0

* Sun Jul 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (dfba9ca) Update files (drop Glass, it's moved to kde-look.org)
- (Andrey Bondrov: f0b3ef4) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (7f6895f) Update files (add EmojiOne emoticons)
- (Andrey Bondrov: 40a5dcf) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (0e710f0) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (120c550) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (012e976) MassBuild#1000: Increase release tag

* Tue Mar 15 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (f8bae6f) Update files (add Konqi emoticons)
- (Andrey Bondrov: 7ccf571) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (f1ad385) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (3e36ced) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (db2144c) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (45a9497) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (250384d) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (66ce9ef) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (93dd30b) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (99e97f4) Update files (add Breeze emoticons)
- (Andrey Bondrov: 7445f85) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (48cd596) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (0419cfe) New version 5.11.0


